# Class PrimitiveType.Code

java.lang.Object
org.eclipse.jdt.core.dom.PrimitiveType.Code

Enclosing class:
  `PrimitiveType`

public static class PrimitiveType.Code extends Object
Primitive type codes (typesafe enumeration).

       byte        BYTE
       short        SHORT
       char        CHAR
       int        INT
       long        LONG
       float        FLOAT
       double        DOUBLE
       boolean        BOOLEAN
       void        VOID

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns the standard name of the primitive type.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### toString

public String toString()
Returns the standard name of the primitive type.

Overrides:
  `toString` in class `Object`
Returns:
  the standard name of the primitive type